CumulusDocs
Open Studio
On this page

Preview a Retell import

Preview a Retell import without writing changes. The response reports diagnostics, the target agent and any draft changes the import would replace.

Operation ID: agents.import_inspect.

Request

POST /api/v1/agents/import/inspect

  • TypeScript SDK: client.agents.import_inspect (path arguments use path).
  • MCP tool: sdk_client_call with operationId: "agents.import_inspect" (path arguments use input.path). Legacy alias: agents_import_inspect. Connect to your authenticated /mcp endpoint with an API key for the same environment.
  • Minimum API key role: member.
  • Idempotency: No idempotency header required.

Read resource IDs from earlier responses and use a key for the same environment.

Request example

This compact Retell conversation-flow greets and ends. Replace tenant_id with the selected environment and choose a ready model and speech profile from models.list and voices.list. Inspect writes nothing; review its diagnostics and target before importing. An export declaring models also needs the model_bindings named by inspect.

Set CUMULUS_BASE_URL to your workspace API URL and CUMULUS_API_KEY to a key for that environment. Example values are synthetic.

cURL

curl
curl --fail-with-body -sS -X POST "${CUMULUS_BASE_URL%/}/api/v1/agents/import/inspect" \
  -H "Authorization: Bearer $CUMULUS_API_KEY" \
  -H "Content-Type: application/json" \
  --data '{
  "reference": {
    "tenant_id": "22222222-2222-4222-8222-222222222222",
    "kind": "agent",
    "id": "support-import"
  },
  "agent_version": 1,
  "flow": {
    "conversation_flow_id": "support-greeting",
    "version": 1,
    "start_node_id": "hello",
    "nodes": [
      {
        "id": "hello",
        "type": "conversation",
        "instruction": {
          "type": "static_text",
          "text": "Thanks for calling the service desk."
        },
        "always_edge": {
          "destination_node_id": "end",
          "transition_condition": {
            "type": "prompt",
            "prompt": "Always"
          }
        }
      },
      {
        "id": "end",
        "type": "end"
      }
    ]
  },
  "agent": {
    "agent_name": "Imported service desk",
    "version": 1,
    "webhook_url": null
  },
  "config": {
    "providers": {
      "llm": {
        "provider": "openai",
        "model": {
          "model_id": "gpt-5.4-mini",
          "provider": "openai",
          "tier": "frontier"
        }
      },
      "stt": {
        "provider": "elevenlabs",
        "model": "scribe_v2_realtime"
      },
      "tts": {
        "provider": "elevenlabs",
        "model": "eleven_flash_v2_5",
        "voiceId": "replace-with-catalog-voice-id"
      }
    },
    "recording": {
      "required": false,
      "channels": "dual"
    }
  },
  "model_bindings": {}
}'

TypeScript

typescript
import { Cumulus } from "@cumulus/sdk";

const baseUrl = process.env.CUMULUS_BASE_URL;
const apiKey = process.env.CUMULUS_API_KEY;
if (!baseUrl || !apiKey) throw new Error("Set CUMULUS_BASE_URL and CUMULUS_API_KEY");
const client = new Cumulus({ baseUrl, apiKey });

const response = await client.agents.import_inspect({
  "body": {
    "reference": {
      "tenant_id": "22222222-2222-4222-8222-222222222222",
      "kind": "agent",
      "id": "support-import"
    },
    "agent_version": 1,
    "flow": {
      "conversation_flow_id": "support-greeting",
      "version": 1,
      "start_node_id": "hello",
      "nodes": [
        {
          "id": "hello",
          "type": "conversation",
          "instruction": {
            "type": "static_text",
            "text": "Thanks for calling the service desk."
          },
          "always_edge": {
            "destination_node_id": "end",
            "transition_condition": {
              "type": "prompt",
              "prompt": "Always"
            }
          }
        },
        {
          "id": "end",
          "type": "end"
        }
      ]
    },
    "agent": {
      "agent_name": "Imported service desk",
      "version": 1,
      "webhook_url": null
    },
    "config": {
      "providers": {
        "llm": {
          "provider": "openai",
          "model": {
            "model_id": "gpt-5.4-mini",
            "provider": "openai",
            "tier": "frontier"
          }
        },
        "stt": {
          "provider": "elevenlabs",
          "model": "scribe_v2_realtime"
        },
        "tts": {
          "provider": "elevenlabs",
          "model": "eleven_flash_v2_5",
          "voiceId": "replace-with-catalog-voice-id"
        }
      },
      "recording": {
        "required": false,
        "channels": "dual"
      }
    },
    "model_bindings": {}
  }
});

Integration notes

Send the same body you would use for agents_import, without an idempotency key. This operation writes nothing.

Use the diagnostics to resolve import issues. Each model_binding_required diagnostic names a path to supply in model_bindings. The response also reports whether the import would create an agent, open or replace a draft, or discard unpublished changes.

Input schema

Path, query and header parameters

No path or query parameters.

JSON request body

FieldType or valuesRequiredDescription and limits
referenceobjectRequired—
reference.tenant_idstring (uuid)Requiredpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$.
reference.kind"agent"Required—
reference.idstringRequiredminLength: 1. maxLength: 512.
agent_versionintegerRequiredAt least 0. At most 2147483647.
flowobjectRequired—
flow.*any JSON valueOptionalAdditional keys are allowed.
agentobjectRequired—
agent.*any JSON valueOptionalAdditional keys are allowed.
configobjectRequired—
config.providersobjectRequired—
config.providers.sttobjectRequired—
config.providers.stt.providerstringRequiredminLength: 1. maxLength: 256.
config.providers.stt.modelstringRequiredminLength: 1. maxLength: 256.
config.providers.stt.credentialobjectOptional—
config.providers.stt.credential.idstringRequiredminLength: 1. maxLength: 256.
config.providers.stt.credential.versionstringRequiredminLength: 1. maxLength: 256.
config.providers.stt.endpointstring (uri)Optional—
config.providers.stt.voiceIdstringOptionalminLength: 1. maxLength: 256.
config.providers.llmobjectRequired—
config.providers.llm.modelobjectRequired—
config.providers.llm.model.model_idstringRequiredminLength: 1. pattern: \S.
config.providers.llm.model.providerstringRequiredminLength: 1. pattern: \S.
config.providers.llm.model.tier"frontier" · "cumulus-served" · "customer-gpu"Required—
config.providers.llm.credentialobjectOptional—
config.providers.llm.credential.idstringRequiredminLength: 1. maxLength: 256.
config.providers.llm.credential.versionstringRequiredminLength: 1. maxLength: 256.
config.providers.llm.credential.providerstringRequiredminLength: 1. maxLength: 256.
config.providers.llm.provider"openai" · "simulated_openai" · "self_hosted" · "simulated_self_hosted"Required—
config.providers.llm.endpointstring (uri)Optional—
config.providers.ttsobjectRequired—
config.providers.tts.providerstringRequiredminLength: 1. maxLength: 256.
config.providers.tts.modelstringRequiredminLength: 1. maxLength: 256.
config.providers.tts.credentialobjectOptional—
config.providers.tts.credential.idstringRequiredminLength: 1. maxLength: 256.
config.providers.tts.credential.versionstringRequiredminLength: 1. maxLength: 256.
config.providers.tts.endpointstring (uri)Optional—
config.providers.tts.voiceIdstringOptionalminLength: 1. maxLength: 256.
config.telephonyobjectOptional—
config.telephony.trunkIdstringRequiredminLength: 1. maxLength: 256.
config.telephony.fromstringOptionalpattern: ^+[1-9][0-9]{6,14}$.
config.recordingobjectRequired—
config.recording.requiredbooleanRequired—
config.recording.channels"dual"Required—
config.webhookobjectOptional—
config.webhook.urlstring (uri)Required—
config.webhook.secretRefstringRequiredminLength: 1. maxLength: 256.
model_bindingsobjectRequired—
model_bindings.*objectOptionalAdditional keys are allowed.
replace_draftobjectOptional—
replace_draft.draft_idstring (uuid)RequiredIdentifier of the editable draft. Read it from the agent or draft response. pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$.
replace_draft.expected_revisionintegerRequiredRevision you last read. A stale revision is refused so another edit is not overwritten. Greater than 0. At most 2147483647.
allow_blockedbooleanOptional—
require_paritybooleanOptional—
Complete OpenAPI schema
OpenAPI JSON
{
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/AgentsImportRequest"
        }
      }
    }
  }
}

Responses

HTTP 200

Compile a Retell export and say what agents.import would do (new agent, new or replaced draft, unpublished changes it would discard) without importing it

application/json

FieldType or valuesRequiredDescription and limits
okbooleanRequired—
versionintegerRequiredAt least 0. At most 2147483647.
digeststring or nullRequiredpattern: ^sha256:[a-f0-9]{64}$.
diagnosticsarray of objectRequired—
diagnostics[].codestringRequiredminLength: 1. maxLength: 128.
diagnostics[].pathstringRequiredmaxLength: 1024.
diagnostics[].messagestringRequiredmaxLength: 4096.
diagnostics[].severity"warning" · "error"Required—
diagnostics[].fixesarray of objectOptionalmaxItems: 8.
diagnostics[].fixes[].idstringRequiredminLength: 1. maxLength: 64.
diagnostics[].fixes[].labelstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].editsarray of objectRequiredminItems: 1. maxItems: 100.
diagnostics[].fixes[].edits[] · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"agent.name"Required—
diagnostics[].fixes[].edits[].namestringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[] · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"agent.settings"Required—
diagnostics[].fixes[].edits[].valuesobjectRequired—
diagnostics[].fixes[].edits[].values.voiceIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].values.voiceModelstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].values.voiceSpeednumberOptionalAt least 0.5. At most 2.
diagnostics[].fixes[].edits[].values.voiceTemperaturenumberOptionalAt least 0. At most 2.
diagnostics[].fixes[].edits[].values.volumenumberOptionalAt least 0. At most 2.
diagnostics[].fixes[].edits[].values.languagestring or array of stringOptional—
diagnostics[].fixes[].edits[].values.language · variant 1string—Fields for this schema branch.
diagnostics[].fixes[].edits[].values.language · variant 2array of string—Fields for this schema branch.
diagnostics[].fixes[].edits[].values.responsivenessnumberOptionalAt least 0. At most 1.
diagnostics[].fixes[].edits[].values.interruptionSensitivitynumberOptionalAt least 0. At most 1.
diagnostics[].fixes[].edits[].values.enableBackchannelbooleanOptional—
diagnostics[].fixes[].edits[].values.backchannelFrequencynumberOptionalAt least 0. At most 1.
diagnostics[].fixes[].edits[].values.backchannelWordsarray of stringOptional—
diagnostics[].fixes[].edits[].values.reminderTriggerMsintegerOptionalAt least 0. At most 3600000.
diagnostics[].fixes[].edits[].values.reminderMaxCountintegerOptionalAt least 0. At most 100.
diagnostics[].fixes[].edits[].values.maxCallDurationMsintegerOptionalAt least 1000. At most 86400000.
diagnostics[].fixes[].edits[].values.endCallAfterSilenceMsintegerOptionalAt least 1000. At most 3600000.
diagnostics[].fixes[].edits[].values.ringDurationMsintegerOptionalAt least 1000. At most 300000.
diagnostics[].fixes[].edits[].values.beginMessageDelayMsintegerOptionalAt least 0. At most 60000.
diagnostics[].fixes[].edits[].values.normalizeForSpeechbooleanOptional—
diagnostics[].fixes[].edits[].values.openerWaitsForCalleebooleanOptional—
diagnostics[].fixes[].edits[].values.voicemailobjectOptional—
diagnostics[].fixes[].edits[].values.voicemail.enabledbooleanRequired—
diagnostics[].fixes[].edits[].values.voicemail.detectionTimeoutMsintegerOptionalGreater than 0. At most 9007199254740991.
diagnostics[].fixes[].edits[].values.voicemail.action"hangup" · "leave_message"Optional—
diagnostics[].fixes[].edits[].values.voicemail.messageobjectOptional—
diagnostics[].fixes[].edits[].values.voicemail.message.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].values.voicemail.message.textstringRequired—
diagnostics[].fixes[].edits[].values.ambientSoundstringOptional—
diagnostics[].fixes[].edits[].values.ambientSoundVolumenumberOptionalAt least 0. At most 2.
diagnostics[].fixes[].edits[].values.boostedKeywordsarray of stringOptional—
diagnostics[].fixes[].edits[].values.pronunciationDictionaryarray of objectOptional—
diagnostics[].fixes[].edits[].values.pronunciationDictionary[].wordstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].values.pronunciationDictionary[].alphabet"ipa" · "cmu"Required—
diagnostics[].fixes[].edits[].values.pronunciationDictionary[].phonemestringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].values.denoisingModestringOptional—
diagnostics[].fixes[].edits[].values.sttModestringOptional—
diagnostics[].fixes[].edits[].values.allowUserDtmfbooleanOptional—
diagnostics[].fixes[].edits[].values.allowDtmfInterruptionbooleanOptional—
diagnostics[].fixes[].edits[].values.userDtmfOptionsobject or nullOptional—
diagnostics[].fixes[].edits[].values.userDtmfOptions.digitLimitinteger or nullOptionalGreater than 0. At most 9007199254740991.
diagnostics[].fixes[].edits[].values.userDtmfOptions.terminationKey"0" · "1" · "2" · "3" · "4" · "5" · "6" · "7" · "8" · "9" · "*" · "#" or nullOptional—
diagnostics[].fixes[].edits[].values.userDtmfOptions.timeoutMsintegerOptionalGreater than 0. At most 9007199254740991.
diagnostics[].fixes[].edits[].values.dataStorageSetting"everything" · "everything_except_pii" · "basic_attributes_only"Optional—
diagnostics[].fixes[].edits[].values.optInSignedUrlbooleanOptional—
diagnostics[].fixes[].edits[].values.piiConfigobjectOptional—
diagnostics[].fixes[].edits[].values.piiConfig.mode"post_call"Required—
diagnostics[].fixes[].edits[].values.piiConfig.categoriesarray of "person_name" · "address" · "email" · "phone_number" · "ssn" · "passport" · "driver_license" · "credit_card" · "bank_account" · "password" · "pin" · "medical_id" · "date_of_birth" · "customer_account_number"Required—
diagnostics[].fixes[].edits[].values.handbookConfigobjectOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.defaultPersonalitybooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.conversationalPersonalitybooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.naturalFillerWordsbooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.highEmpathybooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.echoVerificationbooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.natoPhoneticAlphabetbooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.speechNormalizationbooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.smartMatchingbooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.aiDisclosurebooleanOptional—
diagnostics[].fixes[].edits[].values.handbookConfig.scopeBoundariesbooleanOptional—
diagnostics[].fixes[].edits[].values.ivrobjectOptional—
diagnostics[].fixes[].edits[].values.ivr · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].values.ivr.enabledfalseRequired—
diagnostics[].fixes[].edits[].values.ivr · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].values.ivr.enabledtrueRequired—
diagnostics[].fixes[].edits[].values.ivr.action"hangup"Required—
diagnostics[].fixes[].edits[].values.ivr.detectionWindowMs180000Required—
diagnostics[].fixes[].edits[].values.ivr.detectionPromptstring or nullOptional—
diagnostics[].fixes[].edits[].values.screenerobjectOptional—
diagnostics[].fixes[].edits[].values.screener · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].values.screener.action"hangup"Required—
diagnostics[].fixes[].edits[].values.screener · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].values.screener.action"wait"Required—
diagnostics[].fixes[].edits[].values.screener.waitMsintegerOptionalAt least 5000. At most 120000.
diagnostics[].fixes[].edits[].values.screener · variant 3object—Fields for this schema branch.
diagnostics[].fixes[].edits[].values.screener.action"play_line"Required—
diagnostics[].fixes[].edits[].values.screener.waitMsintegerOptionalAt least 5000. At most 120000.
diagnostics[].fixes[].edits[].values.screener.lineobjectRequired—
diagnostics[].fixes[].edits[].values.screener.line.enstringOptionalminLength: 1. maxLength: 500.
diagnostics[].fixes[].edits[].values.screener.line.esstringOptionalminLength: 1. maxLength: 500.
diagnostics[].fixes[].edits[].values.screener · variant 4object—Fields for this schema branch.
diagnostics[].fixes[].edits[].values.screener.action"treat_as_human"Required—
diagnostics[].fixes[].edits[].values.postCallAnalysisModelobjectOptional—
diagnostics[].fixes[].edits[].values.postCallAnalysisModel.modelobjectRequired—
diagnostics[].fixes[].edits[].values.postCallAnalysisModel.model.model_idstringRequiredminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].values.postCallAnalysisModel.model.providerstringRequiredminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].values.postCallAnalysisModel.model.tier"frontier" · "cumulus-served" · "customer-gpu"Required—
diagnostics[].fixes[].edits[].values.postCallAnalysisModel.credentialobjectOptional—
diagnostics[].fixes[].edits[].values.postCallAnalysisModel.credential.idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].values.postCallAnalysisModel.credential.versionstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].values.postCallAnalysisModel.credential.providerstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].values.complianceobjectOptional—
diagnostics[].fixes[].edits[].values.compliance.profile"fdcpa"Optional—
diagnostics[].fixes[].edits[].cleararray of "voiceId" · "voiceModel" · "voiceSpeed" · "voiceTemperature" · "volume" · "language" · "responsiveness" · "interruptionSensitivity" · "enableBackchannel" · "backchannelFrequency" · "backchannelWords" · "reminderTriggerMs" · "reminderMaxCount" · "maxCallDurationMs" · "endCallAfterSilenceMs" · "ringDurationMs" · "beginMessageDelayMs" · "normalizeForSpeech" · "openerWaitsForCallee" · "voicemail" · "ambientSound" · "ambientSoundVolume" · "boostedKeywords" · "pronunciationDictionary" · "denoisingMode" · "sttMode" · "allowUserDtmf" · "allowDtmfInterruption" · "userDtmfOptions" · "dataStorageSetting" · "optInSignedUrl" · "piiConfig" · "handbookConfig" · "ivr" · "screener" · "postCallAnalysisModel" · "compliance"Required—
diagnostics[].fixes[].edits[] · variant 3object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"agent.analysis"Required—
diagnostics[].fixes[].edits[].fieldsarray of objectRequired—
diagnostics[].fixes[].edits[].fields[].namestringRequiredmaxLength: 256.
diagnostics[].fixes[].edits[].fields[].type"string" · "number" · "boolean" · "enum"Required—
diagnostics[].fixes[].edits[].fields[].descriptionstringRequired—
diagnostics[].fixes[].edits[].fields[].choicesarray of stringOptional—
diagnostics[].fixes[].edits[].fields[].examplesarray of stringOptional—
diagnostics[].fixes[].edits[] · variant 4object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"agent.provider"Required—
diagnostics[].fixes[].edits[].role"stt" · "llm" · "tts"Required—
diagnostics[].fixes[].edits[].changesobjectRequired—
diagnostics[].fixes[].edits[].changes · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.providerstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.modelstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.voiceIdstring or nullOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.endpointstring (uri) or nullOptional—
diagnostics[].fixes[].edits[].changes.credentialobject or nullOptional—
diagnostics[].fixes[].edits[].changes.credential.idstringRequired in a non-null parentminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].changes.credential.versionstringRequired in a non-null parentminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].changes · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.modelobjectOptional—
diagnostics[].fixes[].edits[].changes.model · combined section 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.model.model_idstringRequiredminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].changes.model.providerstringRequiredminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].changes.model.tier"frontier" · "cumulus-served" · "customer-gpu"Required—
diagnostics[].fixes[].edits[].changes.credentialobject or nullOptional—
diagnostics[].fixes[].edits[].changes.credential.idstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.credential.versionstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.credential.providerstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.provider"openai" · "simulated_openai" · "self_hosted" · "simulated_self_hosted"Optional—
diagnostics[].fixes[].edits[].changes.endpointstring (uri) or nullOptional—
diagnostics[].fixes[].edits[] · variant 5object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"agent.telephony"Required—
diagnostics[].fixes[].edits[].valueobjectRequired—
diagnostics[].fixes[].edits[].value.trunkIdstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].value.fromstringOptionalpattern: ^+[1-9][0-9]{6,14}$.
diagnostics[].fixes[].edits[] · variant 6object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"agent.recording"Required—
diagnostics[].fixes[].edits[].valueobjectRequired—
diagnostics[].fixes[].edits[].value.requiredbooleanRequired—
diagnostics[].fixes[].edits[].value.channels"dual"Required—
diagnostics[].fixes[].edits[] · variant 7object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"phone.inbound_context"Required—
diagnostics[].fixes[].edits[].valueobject or nullRequired—
diagnostics[].fixes[].edits[].value.action_idstringRequired in a non-null parentpattern: ^[a-z][a-z0-9_]{0,62}$.
diagnostics[].fixes[].edits[].value.variablesarray of stringRequired in a non-null parentminItems: 1. maxItems: 256.
diagnostics[].fixes[].edits[] · variant 8object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"flow.prompt"Required—
diagnostics[].fixes[].edits[].textstringRequired—
diagnostics[].fixes[].edits[] · variant 9object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"node.name"Required—
diagnostics[].fixes[].edits[].component_idstring or nullRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].namestring or nullRequired—
diagnostics[].fixes[].edits[] · variant 10object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"node.instruction"Required—
diagnostics[].fixes[].edits[].component_idstring or nullRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].instructionobject or nullRequired—
diagnostics[].fixes[].edits[].instruction.type"prompt" · "static_text"Required in a non-null parent—
diagnostics[].fixes[].edits[].instruction.textstringRequired in a non-null parent—
diagnostics[].fixes[].edits[] · variant 11object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"node.transitions"Required—
diagnostics[].fixes[].edits[].component_idstring or nullRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].edgesarray of objectRequired—
diagnostics[].fixes[].edits[].edges[].idstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].edges[].destinationNodeIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].edges[].slot"edges" · "else_edge" · "skip_response_edge" · "always_edge" · "edge" · "success_edge"Required—
diagnostics[].fixes[].edits[].edges[].conditionobjectRequired—
diagnostics[].fixes[].edits[].edges[].condition · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].edges[].condition.type"always"Required—
diagnostics[].fixes[].edits[].edges[].condition · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].edges[].condition.type"conversation_language"Required—
diagnostics[].fixes[].edits[].edges[].condition.language"en" · "es"Required—
diagnostics[].fixes[].edits[].edges[].condition · variant 3object—Fields for this schema branch.
diagnostics[].fixes[].edits[].edges[].condition.type"prompt"Required—
diagnostics[].fixes[].edits[].edges[].condition.promptstringRequired—
diagnostics[].fixes[].edits[].edges[].condition · variant 4object—Fields for this schema branch.
diagnostics[].fixes[].edits[].edges[].condition.type"equation"Required—
diagnostics[].fixes[].edits[].edges[].condition.operator"&&" · "||"Required—
diagnostics[].fixes[].edits[].edges[].condition.equationsarray of objectRequiredminItems: 1.
diagnostics[].fixes[].edits[].edges[].condition.equations[].leftstringRequired—
diagnostics[].fixes[].edits[].edges[].condition.equations[].operator"==" · "!=" · ">" · "<" · ">=" · "<=" · "contains" · "is_set" · "is_not_set"Required—
diagnostics[].fixes[].edits[].edges[].condition.equations[].rightstringRequired—
diagnostics[].fixes[].edits[].edges[].complianceobjectOptional—
diagnostics[].fixes[].edits[].edges[].compliance.setsarray of "rpc_confirmed"RequiredminItems: 1.
diagnostics[].fixes[].edits[] · variant 12object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"node.configure"Required—
diagnostics[].fixes[].edits[].component_idstring or nullRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changesobjectRequired—
diagnostics[].fixes[].edits[].changes.namestring or nullOptional—
diagnostics[].fixes[].edits[].changes.instructionobject or nullOptional—
diagnostics[].fixes[].edits[].changes.instruction.type"prompt" · "static_text"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.instruction.textstringRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.startSpeaker"agent" · "user" or nullOptional—
diagnostics[].fixes[].edits[].changes.interruptionSensitivitynumber or nullOptionalAt least 0. At most 1.
diagnostics[].fixes[].edits[].changes.voiceSpeednumber or nullOptionalAt least 0.5. At most 2.
diagnostics[].fixes[].edits[].changes.languageLockedboolean or nullOptional—
diagnostics[].fixes[].edits[].changes.globalNodeSettingobject or nullOptional—
diagnostics[].fixes[].edits[].changes.globalNodeSetting.conditionstringRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.globalNodeSetting.coolDownnumberOptionalAt least 0.
diagnostics[].fixes[].edits[].changes.toolIdstring or nullOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.waitForResultboolean or nullOptional—
diagnostics[].fixes[].edits[].changes.speakDuringExecutionboolean or nullOptional—
diagnostics[].fixes[].edits[].changes.executionMessageobject or nullOptional—
diagnostics[].fixes[].edits[].changes.executionMessage.type"prompt" · "static_text"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.executionMessage.textstringRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.transferobject or nullOptional—
diagnostics[].fixes[].edits[].changes.transfer.destinationobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.destination · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.transfer.destination.type"predefined"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.destination.numberstringRequired in a non-null parentmaxLength: 256.
diagnostics[].fixes[].edits[].changes.transfer.destination · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.transfer.destination.type"inferred"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.destination.promptstringRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.optionobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.option.type"cold_transfer" · "warm_transfer"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.option.showTransfereeAsCallerbooleanOptional—
diagnostics[].fixes[].edits[].changes.transfer.option.optOutHumanDetectionbooleanOptional—
diagnostics[].fixes[].edits[].changes.transfer.option.enableBridgeAudioCuebooleanOptional—
diagnostics[].fixes[].edits[].changes.transfer.option.onHoldMusicstringOptional—
diagnostics[].fixes[].edits[].changes.transfer.option.agentDetectionTimeoutMsintegerOptionalAt least 0. At most 9007199254740991.
diagnostics[].fixes[].edits[].changes.transfer.option.agentDetectionPromptstringOptional—
diagnostics[].fixes[].edits[].changes.transfer.option.transferMessageobjectOptional—
diagnostics[].fixes[].edits[].changes.transfer.option.transferMessage.type"prompt" · "static_text"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.option.transferMessage.textstringRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.option.privateHandoffMessageobjectOptional—
diagnostics[].fixes[].edits[].changes.transfer.option.privateHandoffMessage.type"prompt" · "static_text"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.option.privateHandoffMessage.textstringRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.transfer.option.coldTransferModestringOptional—
diagnostics[].fixes[].edits[].changes.transfer.ignoreE164ValidationbooleanRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.variablesarray of object or nullOptional—
diagnostics[].fixes[].edits[].changes.variables[].namestringRequired in a non-null parentmaxLength: 256.
diagnostics[].fixes[].edits[].changes.variables[].type"string" · "number" · "boolean" · "enum"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.variables[].descriptionstringRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.variables[].choicesarray of stringOptional—
diagnostics[].fixes[].edits[].changes.modelChoiceobject or nullOptional—
diagnostics[].fixes[].edits[].changes.modelChoice.modelobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.modelChoice.model.model_idstringRequired in a non-null parentminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].changes.modelChoice.model.providerstringRequired in a non-null parentminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].changes.modelChoice.model.tier"frontier" · "cumulus-served" · "customer-gpu"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.modelChoice.credentialobjectOptional—
diagnostics[].fixes[].edits[].changes.modelChoice.credential.idstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.modelChoice.credential.versionstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.modelChoice.credential.providerstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.modelChoice.type"cascading"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.modelChoice.highPrioritybooleanRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.modelChoice.reasoningEffort"low" · "medium" · "high"Optional—
diagnostics[].fixes[].edits[].changes.componentIdstring or nullOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.verificationobject or nullOptional—
diagnostics[].fixes[].edits[].changes.verification.subjectVariablestringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.verification.fieldsarray of objectRequired in a non-null parentmaxItems: 8.
diagnostics[].fixes[].edits[].changes.verification.fields[].idstringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].changes.verification.fields[].expectedVariablestringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.verification.fields[].privateAliasesarray of stringOptionalmaxItems: 16.
diagnostics[].fixes[].edits[].changes.verification.fields[].enabledVariablestringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.verification.fields[].formatobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.verification.fields[].format · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.verification.fields[].format.kind"digits"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.verification.fields[].format.lengthintegerRequired in a non-null parentAt least 1. At most 32.
diagnostics[].fixes[].edits[].changes.verification.fields[].format · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.verification.fields[].format.kind"date_yyyymmdd"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.verification.fields[].promptobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.verification.fields[].prompt.enstringRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.verification.fields[].prompt.esstringOptional—
diagnostics[].fixes[].edits[].changes.verification.requiredobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.verification.required · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.verification.required.kind"fixed"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.verification.required.countintegerRequired in a non-null parentAt least 1. At most 8.
diagnostics[].fixes[].edits[].changes.verification.required · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.verification.required.kind"variable"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.verification.required.namestringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.verification.timeoutMsintegerRequired in a non-null parentAt least 1000. At most 180000.
diagnostics[].fixes[].edits[].changes.verification.lookupobjectOptional—
diagnostics[].fixes[].edits[].changes.verification.lookup.toolIdstringRequired in a non-null parentminLength: 1.
diagnostics[].fixes[].edits[].changes.verification.lookup.fieldIdstringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].changes.verification.lookup.parameterstringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.verification.lookup.argumentsarray of objectRequired in a non-null parentmaxItems: 64.
diagnostics[].fixes[].edits[].changes.verification.lookup.arguments[].parameterstringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.verification.lookup.arguments[].variablestringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.tokenizationobject or nullOptional—
diagnostics[].fixes[].edits[].changes.tokenization.toolIdstringRequired in a non-null parentmaxLength: 256.
diagnostics[].fixes[].edits[].changes.tokenization.subjectVariablestringRequired in a non-null parentpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.tokenization.consentPromptobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.tokenization.consentPrompt.enstringRequired in a non-null parentmaxLength: 4096.
diagnostics[].fixes[].edits[].changes.tokenization.consentPrompt.esstringOptionalmaxLength: 4096.
diagnostics[].fixes[].edits[].changes.tokenization.timeoutMsintegerRequired in a non-null parentAt least 1000. At most 180000.
diagnostics[].fixes[].edits[].changes.tokenization.fieldsarray of objectRequired in a non-null parentmaxItems: 7.
diagnostics[].fixes[].edits[].changes.tokenization.fields[].idstringRequired in a non-null parentpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].changes.tokenization.fields[].parameterstringRequired in a non-null parentmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].changes.tokenization.fields[].minDigitsintegerRequired in a non-null parentAt least 1. At most 32.
diagnostics[].fixes[].edits[].changes.tokenization.fields[].maxDigitsintegerRequired in a non-null parentAt least 1. At most 32.
diagnostics[].fixes[].edits[].changes.tokenization.fields[].encoding"string" · "integer"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.tokenization.fields[].minimumintegerOptionalAt least 0. At most 999999999.
diagnostics[].fixes[].edits[].changes.tokenization.fields[].maximumintegerOptionalAt least 0. At most 999999999.
diagnostics[].fixes[].edits[].changes.tokenization.fields[].promptobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.tokenization.fields[].prompt.enstringRequired in a non-null parentmaxLength: 4096.
diagnostics[].fixes[].edits[].changes.tokenization.fields[].prompt.esstringOptionalmaxLength: 4096.
diagnostics[].fixes[].edits[].changes.tokenization.argumentsarray of objectRequired in a non-null parentmaxItems: 64.
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].parameterstringRequired in a non-null parentmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].sourceobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source.kind"variable"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source.namestringRequired in a non-null parentpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source.kind"constant"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source.valuestring or number or boolean or nullRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source.value · variant 1string—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source.value · variant 2number—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.tokenization.arguments[].source.value · variant 3boolean—Fields for this schema branch.
diagnostics[].fixes[].edits[].changes.tokenization.tokenIdPathstringRequired in a non-null parentmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].changes.tokenization.tokenVariablestringRequired in a non-null parentpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.tokenization.last4VariablestringRequired in a non-null parentpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].changes.tokenization.last4FieldstringRequired in a non-null parentmaxLength: 64.
diagnostics[].fixes[].edits[] · variant 13object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"node.create"Required—
diagnostics[].fixes[].edits[].component_idstring or nullRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].nodeobjectRequired—
diagnostics[].fixes[].edits[].node.idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node.kind"conversation" · "end" · "branch" · "transfer_call" · "function" · "extract_dynamic_variables" · "verify_identity" · "tokenize_private" · "component"Required—
diagnostics[].fixes[].edits[].node.edgesarray of objectRequired—
diagnostics[].fixes[].edits[].node.edges[].idstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node.edges[].destinationNodeIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node.edges[].slot"edges" · "else_edge" · "skip_response_edge" · "always_edge" · "edge" · "success_edge"Required—
diagnostics[].fixes[].edits[].node.edges[].conditionobjectRequired—
diagnostics[].fixes[].edits[].node.edges[].condition · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.edges[].condition.type"always"Required—
diagnostics[].fixes[].edits[].node.edges[].condition · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.edges[].condition.type"conversation_language"Required—
diagnostics[].fixes[].edits[].node.edges[].condition.language"en" · "es"Required—
diagnostics[].fixes[].edits[].node.edges[].condition · variant 3object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.edges[].condition.type"prompt"Required—
diagnostics[].fixes[].edits[].node.edges[].condition.promptstringRequired—
diagnostics[].fixes[].edits[].node.edges[].condition · variant 4object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.edges[].condition.type"equation"Required—
diagnostics[].fixes[].edits[].node.edges[].condition.operator"&&" · "||"Required—
diagnostics[].fixes[].edits[].node.edges[].condition.equationsarray of objectRequiredminItems: 1.
diagnostics[].fixes[].edits[].node.edges[].condition.equations[].leftstringRequired—
diagnostics[].fixes[].edits[].node.edges[].condition.equations[].operator"==" · "!=" · ">" · "<" · ">=" · "<=" · "contains" · "is_set" · "is_not_set"Required—
diagnostics[].fixes[].edits[].node.edges[].condition.equations[].rightstringRequired—
diagnostics[].fixes[].edits[].node.edges[].complianceobjectOptional—
diagnostics[].fixes[].edits[].node.edges[].compliance.setsarray of "rpc_confirmed"RequiredminItems: 1.
diagnostics[].fixes[].edits[].node.namestringOptional—
diagnostics[].fixes[].edits[].node.instructionobjectOptional—
diagnostics[].fixes[].edits[].node.instruction.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].node.instruction.textstringRequired—
diagnostics[].fixes[].edits[].node.startSpeaker"agent" · "user"Optional—
diagnostics[].fixes[].edits[].node.interruptionSensitivitynumberOptionalAt least 0. At most 1.
diagnostics[].fixes[].edits[].node.voiceSpeednumberOptionalAt least 0.5. At most 2.
diagnostics[].fixes[].edits[].node.languageLockedbooleanOptional—
diagnostics[].fixes[].edits[].node.globalNodeSettingobjectOptional—
diagnostics[].fixes[].edits[].node.globalNodeSetting.conditionstringRequired—
diagnostics[].fixes[].edits[].node.globalNodeSetting.coolDownnumberOptionalAt least 0.
diagnostics[].fixes[].edits[].node.toolIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node.waitForResultbooleanOptional—
diagnostics[].fixes[].edits[].node.speakDuringExecutionbooleanOptional—
diagnostics[].fixes[].edits[].node.executionMessageobjectOptional—
diagnostics[].fixes[].edits[].node.executionMessage.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].node.executionMessage.textstringRequired—
diagnostics[].fixes[].edits[].node.transferobjectOptional—
diagnostics[].fixes[].edits[].node.transfer.destinationobjectRequired—
diagnostics[].fixes[].edits[].node.transfer.destination · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.transfer.destination.type"predefined"Required—
diagnostics[].fixes[].edits[].node.transfer.destination.numberstringRequiredmaxLength: 256.
diagnostics[].fixes[].edits[].node.transfer.destination · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.transfer.destination.type"inferred"Required—
diagnostics[].fixes[].edits[].node.transfer.destination.promptstringRequired—
diagnostics[].fixes[].edits[].node.transfer.optionobjectRequired—
diagnostics[].fixes[].edits[].node.transfer.option.type"cold_transfer" · "warm_transfer"Required—
diagnostics[].fixes[].edits[].node.transfer.option.showTransfereeAsCallerbooleanOptional—
diagnostics[].fixes[].edits[].node.transfer.option.optOutHumanDetectionbooleanOptional—
diagnostics[].fixes[].edits[].node.transfer.option.enableBridgeAudioCuebooleanOptional—
diagnostics[].fixes[].edits[].node.transfer.option.onHoldMusicstringOptional—
diagnostics[].fixes[].edits[].node.transfer.option.agentDetectionTimeoutMsintegerOptionalAt least 0. At most 9007199254740991.
diagnostics[].fixes[].edits[].node.transfer.option.agentDetectionPromptstringOptional—
diagnostics[].fixes[].edits[].node.transfer.option.transferMessageobjectOptional—
diagnostics[].fixes[].edits[].node.transfer.option.transferMessage.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].node.transfer.option.transferMessage.textstringRequired—
diagnostics[].fixes[].edits[].node.transfer.option.privateHandoffMessageobjectOptional—
diagnostics[].fixes[].edits[].node.transfer.option.privateHandoffMessage.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].node.transfer.option.privateHandoffMessage.textstringRequired—
diagnostics[].fixes[].edits[].node.transfer.option.coldTransferModestringOptional—
diagnostics[].fixes[].edits[].node.transfer.ignoreE164ValidationbooleanRequired—
diagnostics[].fixes[].edits[].node.variablesarray of objectOptional—
diagnostics[].fixes[].edits[].node.variables[].namestringRequiredmaxLength: 256.
diagnostics[].fixes[].edits[].node.variables[].type"string" · "number" · "boolean" · "enum"Required—
diagnostics[].fixes[].edits[].node.variables[].descriptionstringRequired—
diagnostics[].fixes[].edits[].node.variables[].choicesarray of stringOptional—
diagnostics[].fixes[].edits[].node.modelChoiceobjectOptional—
diagnostics[].fixes[].edits[].node.modelChoice.modelobjectRequired—
diagnostics[].fixes[].edits[].node.modelChoice.model.model_idstringRequiredminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].node.modelChoice.model.providerstringRequiredminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].node.modelChoice.model.tier"frontier" · "cumulus-served" · "customer-gpu"Required—
diagnostics[].fixes[].edits[].node.modelChoice.credentialobjectOptional—
diagnostics[].fixes[].edits[].node.modelChoice.credential.idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node.modelChoice.credential.versionstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node.modelChoice.credential.providerstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node.modelChoice.type"cascading"Required—
diagnostics[].fixes[].edits[].node.modelChoice.highPrioritybooleanRequired—
diagnostics[].fixes[].edits[].node.modelChoice.reasoningEffort"low" · "medium" · "high"Optional—
diagnostics[].fixes[].edits[].node.componentIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node.verificationobjectOptional—
diagnostics[].fixes[].edits[].node.verification.subjectVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.verification.fieldsarray of objectRequiredmaxItems: 8.
diagnostics[].fixes[].edits[].node.verification.fields[].idstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].node.verification.fields[].expectedVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.verification.fields[].privateAliasesarray of stringOptionalmaxItems: 16.
diagnostics[].fixes[].edits[].node.verification.fields[].enabledVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.verification.fields[].formatobjectRequired—
diagnostics[].fixes[].edits[].node.verification.fields[].format · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.verification.fields[].format.kind"digits"Required—
diagnostics[].fixes[].edits[].node.verification.fields[].format.lengthintegerRequiredAt least 1. At most 32.
diagnostics[].fixes[].edits[].node.verification.fields[].format · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.verification.fields[].format.kind"date_yyyymmdd"Required—
diagnostics[].fixes[].edits[].node.verification.fields[].promptobjectRequired—
diagnostics[].fixes[].edits[].node.verification.fields[].prompt.enstringRequired—
diagnostics[].fixes[].edits[].node.verification.fields[].prompt.esstringOptional—
diagnostics[].fixes[].edits[].node.verification.requiredobjectRequired—
diagnostics[].fixes[].edits[].node.verification.required · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.verification.required.kind"fixed"Required—
diagnostics[].fixes[].edits[].node.verification.required.countintegerRequiredAt least 1. At most 8.
diagnostics[].fixes[].edits[].node.verification.required · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.verification.required.kind"variable"Required—
diagnostics[].fixes[].edits[].node.verification.required.namestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.verification.timeoutMsintegerRequiredAt least 1000. At most 180000.
diagnostics[].fixes[].edits[].node.verification.lookupobjectOptional—
diagnostics[].fixes[].edits[].node.verification.lookup.toolIdstringRequiredminLength: 1.
diagnostics[].fixes[].edits[].node.verification.lookup.fieldIdstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].node.verification.lookup.parameterstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.verification.lookup.argumentsarray of objectRequiredmaxItems: 64.
diagnostics[].fixes[].edits[].node.verification.lookup.arguments[].parameterstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.verification.lookup.arguments[].variablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.tokenizationobjectOptional—
diagnostics[].fixes[].edits[].node.tokenization.toolIdstringRequiredmaxLength: 256.
diagnostics[].fixes[].edits[].node.tokenization.subjectVariablestringRequiredpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.tokenization.consentPromptobjectRequired—
diagnostics[].fixes[].edits[].node.tokenization.consentPrompt.enstringRequiredmaxLength: 4096.
diagnostics[].fixes[].edits[].node.tokenization.consentPrompt.esstringOptionalmaxLength: 4096.
diagnostics[].fixes[].edits[].node.tokenization.timeoutMsintegerRequiredAt least 1000. At most 180000.
diagnostics[].fixes[].edits[].node.tokenization.fieldsarray of objectRequiredmaxItems: 7.
diagnostics[].fixes[].edits[].node.tokenization.fields[].idstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].node.tokenization.fields[].parameterstringRequiredmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].node.tokenization.fields[].minDigitsintegerRequiredAt least 1. At most 32.
diagnostics[].fixes[].edits[].node.tokenization.fields[].maxDigitsintegerRequiredAt least 1. At most 32.
diagnostics[].fixes[].edits[].node.tokenization.fields[].encoding"string" · "integer"Required—
diagnostics[].fixes[].edits[].node.tokenization.fields[].minimumintegerOptionalAt least 0. At most 999999999.
diagnostics[].fixes[].edits[].node.tokenization.fields[].maximumintegerOptionalAt least 0. At most 999999999.
diagnostics[].fixes[].edits[].node.tokenization.fields[].promptobjectRequired—
diagnostics[].fixes[].edits[].node.tokenization.fields[].prompt.enstringRequiredmaxLength: 4096.
diagnostics[].fixes[].edits[].node.tokenization.fields[].prompt.esstringOptionalmaxLength: 4096.
diagnostics[].fixes[].edits[].node.tokenization.argumentsarray of objectRequiredmaxItems: 64.
diagnostics[].fixes[].edits[].node.tokenization.arguments[].parameterstringRequiredmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].node.tokenization.arguments[].sourceobjectRequired—
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source.kind"variable"Required—
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source.namestringRequiredpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source.kind"constant"Required—
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source.valuestring or number or boolean or nullRequired—
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source.value · variant 1string—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source.value · variant 2number—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.tokenization.arguments[].source.value · variant 3boolean—Fields for this schema branch.
diagnostics[].fixes[].edits[].node.tokenization.tokenIdPathstringRequiredmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].node.tokenization.tokenVariablestringRequiredpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.tokenization.last4VariablestringRequiredpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].node.tokenization.last4FieldstringRequiredmaxLength: 64.
diagnostics[].fixes[].edits[] · variant 14object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"node.remove"Required—
diagnostics[].fixes[].edits[].component_idstring or nullRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[] · variant 15object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"flow.configure"Required—
diagnostics[].fixes[].edits[].changesobjectRequired—
diagnostics[].fixes[].edits[].changes.startNodeIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.startSpeaker"agent" · "user"Optional—
diagnostics[].fixes[].edits[].changes.globalPromptstringOptional—
diagnostics[].fixes[].edits[].changes.defaultDynamicVariablesobjectOptional—
diagnostics[].fixes[].edits[].changes.defaultDynamicVariables.*stringOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].changes.callContextVariablesarray of stringOptional—
diagnostics[].fixes[].edits[].changes.modelChoiceobject or nullOptional—
diagnostics[].fixes[].edits[].changes.modelChoice.modelobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.modelChoice.model.model_idstringRequired in a non-null parentminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].changes.modelChoice.model.providerstringRequired in a non-null parentminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].changes.modelChoice.model.tier"frontier" · "cumulus-served" · "customer-gpu"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.modelChoice.credentialobjectOptional—
diagnostics[].fixes[].edits[].changes.modelChoice.credential.idstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.modelChoice.credential.versionstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.modelChoice.credential.providerstringRequired in a non-null parentminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].changes.modelChoice.type"cascading"Required in a non-null parent—
diagnostics[].fixes[].edits[].changes.modelChoice.highPrioritybooleanRequired in a non-null parent—
diagnostics[].fixes[].edits[].changes.modelChoice.reasoningEffort"low" · "medium" · "high"Optional—
diagnostics[].fixes[].edits[].changes.toolCallStrictModebooleanOptional—
diagnostics[].fixes[].edits[] · variant 16object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"component.create"Required—
diagnostics[].fixes[].edits[].componentobjectRequired—
diagnostics[].fixes[].edits[].component.idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.startNodeIdstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodesarray of objectRequiredminItems: 1.
diagnostics[].fixes[].edits[].component.nodes[].idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].kind"conversation" · "end" · "branch" · "transfer_call" · "function" · "extract_dynamic_variables" · "verify_identity" · "tokenize_private" · "component"Required—
diagnostics[].fixes[].edits[].component.nodes[].edgesarray of objectRequired—
diagnostics[].fixes[].edits[].component.nodes[].edges[].idstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].edges[].destinationNodeIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].edges[].slot"edges" · "else_edge" · "skip_response_edge" · "always_edge" · "edge" · "success_edge"Required—
diagnostics[].fixes[].edits[].component.nodes[].edges[].conditionobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.type"always"Required—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.type"conversation_language"Required—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.language"en" · "es"Required—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition · variant 3object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.type"prompt"Required—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.promptstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition · variant 4object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.type"equation"Required—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.operator"&&" · "||"Required—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.equationsarray of objectRequiredminItems: 1.
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.equations[].leftstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.equations[].operator"==" · "!=" · ">" · "<" · ">=" · "<=" · "contains" · "is_set" · "is_not_set"Required—
diagnostics[].fixes[].edits[].component.nodes[].edges[].condition.equations[].rightstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].edges[].complianceobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].edges[].compliance.setsarray of "rpc_confirmed"RequiredminItems: 1.
diagnostics[].fixes[].edits[].component.nodes[].namestringOptional—
diagnostics[].fixes[].edits[].component.nodes[].instructionobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].instruction.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].component.nodes[].instruction.textstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].startSpeaker"agent" · "user"Optional—
diagnostics[].fixes[].edits[].component.nodes[].interruptionSensitivitynumberOptionalAt least 0. At most 1.
diagnostics[].fixes[].edits[].component.nodes[].voiceSpeednumberOptionalAt least 0.5. At most 2.
diagnostics[].fixes[].edits[].component.nodes[].languageLockedbooleanOptional—
diagnostics[].fixes[].edits[].component.nodes[].globalNodeSettingobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].globalNodeSetting.conditionstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].globalNodeSetting.coolDownnumberOptionalAt least 0.
diagnostics[].fixes[].edits[].component.nodes[].toolIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].waitForResultbooleanOptional—
diagnostics[].fixes[].edits[].component.nodes[].speakDuringExecutionbooleanOptional—
diagnostics[].fixes[].edits[].component.nodes[].executionMessageobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].executionMessage.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].component.nodes[].executionMessage.textstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].transferobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.destinationobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].transfer.destination · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].transfer.destination.type"predefined"Required—
diagnostics[].fixes[].edits[].component.nodes[].transfer.destination.numberstringRequiredmaxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].transfer.destination · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].transfer.destination.type"inferred"Required—
diagnostics[].fixes[].edits[].component.nodes[].transfer.destination.promptstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].transfer.optionobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.type"cold_transfer" · "warm_transfer"Required—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.showTransfereeAsCallerbooleanOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.optOutHumanDetectionbooleanOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.enableBridgeAudioCuebooleanOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.onHoldMusicstringOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.agentDetectionTimeoutMsintegerOptionalAt least 0. At most 9007199254740991.
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.agentDetectionPromptstringOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.transferMessageobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.transferMessage.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.transferMessage.textstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.privateHandoffMessageobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.privateHandoffMessage.type"prompt" · "static_text"Required—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.privateHandoffMessage.textstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].transfer.option.coldTransferModestringOptional—
diagnostics[].fixes[].edits[].component.nodes[].transfer.ignoreE164ValidationbooleanRequired—
diagnostics[].fixes[].edits[].component.nodes[].variablesarray of objectOptional—
diagnostics[].fixes[].edits[].component.nodes[].variables[].namestringRequiredmaxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].variables[].type"string" · "number" · "boolean" · "enum"Required—
diagnostics[].fixes[].edits[].component.nodes[].variables[].descriptionstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].variables[].choicesarray of stringOptional—
diagnostics[].fixes[].edits[].component.nodes[].modelChoiceobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.modelobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.model.model_idstringRequiredminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.model.providerstringRequiredminLength: 1. pattern: \S.
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.model.tier"frontier" · "cumulus-served" · "customer-gpu"Required—
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.credentialobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.credential.idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.credential.versionstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.credential.providerstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.type"cascading"Required—
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.highPrioritybooleanRequired—
diagnostics[].fixes[].edits[].component.nodes[].modelChoice.reasoningEffort"low" · "medium" · "high"Optional—
diagnostics[].fixes[].edits[].component.nodes[].componentIdstringOptionalminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].verificationobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].verification.subjectVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].verification.fieldsarray of objectRequiredmaxItems: 8.
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].idstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].expectedVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].privateAliasesarray of stringOptionalmaxItems: 16.
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].enabledVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].formatobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].format · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].format.kind"digits"Required—
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].format.lengthintegerRequiredAt least 1. At most 32.
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].format · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].format.kind"date_yyyymmdd"Required—
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].promptobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].prompt.enstringRequired—
diagnostics[].fixes[].edits[].component.nodes[].verification.fields[].prompt.esstringOptional—
diagnostics[].fixes[].edits[].component.nodes[].verification.requiredobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].verification.required · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].verification.required.kind"fixed"Required—
diagnostics[].fixes[].edits[].component.nodes[].verification.required.countintegerRequiredAt least 1. At most 8.
diagnostics[].fixes[].edits[].component.nodes[].verification.required · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].verification.required.kind"variable"Required—
diagnostics[].fixes[].edits[].component.nodes[].verification.required.namestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].verification.timeoutMsintegerRequiredAt least 1000. At most 180000.
diagnostics[].fixes[].edits[].component.nodes[].verification.lookupobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].verification.lookup.toolIdstringRequiredminLength: 1.
diagnostics[].fixes[].edits[].component.nodes[].verification.lookup.fieldIdstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].component.nodes[].verification.lookup.parameterstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].verification.lookup.argumentsarray of objectRequiredmaxItems: 64.
diagnostics[].fixes[].edits[].component.nodes[].verification.lookup.arguments[].parameterstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].verification.lookup.arguments[].variablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenizationobjectOptional—
diagnostics[].fixes[].edits[].component.nodes[].tokenization.toolIdstringRequiredmaxLength: 256.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.subjectVariablestringRequiredpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.consentPromptobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].tokenization.consentPrompt.enstringRequiredmaxLength: 4096.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.consentPrompt.esstringOptionalmaxLength: 4096.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.timeoutMsintegerRequiredAt least 1000. At most 180000.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fieldsarray of objectRequiredmaxItems: 7.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].idstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].parameterstringRequiredmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].minDigitsintegerRequiredAt least 1. At most 32.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].maxDigitsintegerRequiredAt least 1. At most 32.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].encoding"string" · "integer"Required—
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].minimumintegerOptionalAt least 0. At most 999999999.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].maximumintegerOptionalAt least 0. At most 999999999.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].promptobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].prompt.enstringRequiredmaxLength: 4096.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.fields[].prompt.esstringOptionalmaxLength: 4096.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.argumentsarray of objectRequiredmaxItems: 64.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].parameterstringRequiredmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].sourceobjectRequired—
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source.kind"variable"Required—
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source.namestringRequiredpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source.kind"constant"Required—
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source.valuestring or number or boolean or nullRequired—
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source.value · variant 1string—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source.value · variant 2number—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.arguments[].source.value · variant 3boolean—Fields for this schema branch.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.tokenIdPathstringRequiredmaxLength: 256. pattern: ^(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_](?:.(?!(?:proto|constructor|prototype)(?:.|$))[A-Za-z_][A-Za-z0-9_]){0,7}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.tokenVariablestringRequiredpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.last4VariablestringRequiredpattern: ^(?!(?:proto|constructor|prototype)$)[A-Za-z_][A-Za-z0-9_]{0,255}$.
diagnostics[].fixes[].edits[].component.nodes[].tokenization.last4FieldstringRequiredmaxLength: 64.
diagnostics[].fixes[].edits[].component.toolsarray of objectRequired—
diagnostics[].fixes[].edits[].component.tools[].namestringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.tools[].descriptionstringRequired—
diagnostics[].fixes[].edits[].component.tools[].urlstring (uri)Required—
diagnostics[].fixes[].edits[].component.tools[].method"GET" · "POST" · "PUT" · "PATCH" · "DELETE"Required—
diagnostics[].fixes[].edits[].component.tools[].parametersobjectRequired—
diagnostics[].fixes[].edits[].component.tools[].parameters.*any JSON valueOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].component.tools[].responseVariablesobjectRequired—
diagnostics[].fixes[].edits[].component.tools[].responseVariables.*stringOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].component.tools[].timeoutMsintegerRequiredGreater than 0. At most 9007199254740991.
diagnostics[].fixes[].edits[].component.tools[].responseVariablePolicy"required" · "replace_available"Optional—
diagnostics[].fixes[].edits[].component.tools[].argsAtRootbooleanRequired—
diagnostics[].fixes[].edits[].component.tools[].parameterType"json"Required—
diagnostics[].fixes[].edits[].component.tools[].speakAfterExecutionbooleanOptional—
diagnostics[].fixes[].edits[].component.tools[].idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].component.tools[].credentialobjectOptional—
diagnostics[].fixes[].edits[].component.tools[].credential.idstring (uuid)Requiredpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$.
diagnostics[].fixes[].edits[].component.tools[].credential.versionstringRequiredpattern: ^[a-f0-9]{64}$.
diagnostics[].fixes[].edits[].component.flexModebooleanOptional—
diagnostics[].fixes[].edits[] · variant 17object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"component.start"Required—
diagnostics[].fixes[].edits[].component_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].start_node_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[] · variant 18object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"component.remove"Required—
diagnostics[].fixes[].edits[].component_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[] · variant 19object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"transfer.credential"Required—
diagnostics[].fixes[].edits[].component_idstring or nullRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].node_idstringRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].credentialobjectRequired—
diagnostics[].fixes[].edits[].credential · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].credential.action"keep"Required—
diagnostics[].fixes[].edits[].credential · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].credential.action"replace"Required—
diagnostics[].fixes[].edits[].credential.referenceobjectRequired—
diagnostics[].fixes[].edits[].credential.reference.idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].credential.reference.versionstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].credential · variant 3object—Fields for this schema branch.
diagnostics[].fixes[].edits[].credential.action"remove"Required—
diagnostics[].fixes[].edits[].clear_inlinebooleanRequired—
diagnostics[].fixes[].edits[] · variant 20object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"channels.set"Required—
diagnostics[].fixes[].edits[].channelsarray of "cloud" · "phone"RequiredminItems: 1. maxItems: 2.
diagnostics[].fixes[].edits[] · variant 21object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"languages.set"Required—
diagnostics[].fixes[].edits[].languagesarray of "en" · "es"RequiredminItems: 1. maxItems: 2.
diagnostics[].fixes[].edits[] · variant 22object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"trigger.put"Required—
diagnostics[].fixes[].edits[].triggerobjectRequired—
diagnostics[].fixes[].edits[].trigger · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].trigger.kind"schedule"Required—
diagnostics[].fixes[].edits[].trigger.idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].trigger.cronstringRequiredpattern: ^(\S+\s+){4}\S+$.
diagnostics[].fixes[].edits[].trigger.timezonestringRequiredminLength: 1. maxLength: 64.
diagnostics[].fixes[].edits[].trigger.inputobjectRequired—
diagnostics[].fixes[].edits[].trigger.input.*any JSON valueOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].trigger · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].trigger.kind"event"Required—
diagnostics[].fixes[].edits[].trigger.idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].trigger.event_type"run.ended" · "analysis.updated"Required—
diagnostics[].fixes[].edits[].trigger.sourceobjectRequired—
diagnostics[].fixes[].edits[].trigger.source.agent_idstringOptionalAgent identifier in the environment selected by your API key. minLength: 1. maxLength: 256. pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$.
diagnostics[].fixes[].edits[].trigger.source.channel"cloud" · "phone" · "web"Optional—
diagnostics[].fixes[].edits[].trigger.source.dispositionsarray of stringOptionalmaxItems: 32.
diagnostics[].fixes[].edits[].trigger.input_mappingobjectRequired—
diagnostics[].fixes[].edits[].trigger.input_mapping.*stringOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[] · variant 23object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"trigger.remove"Required—
diagnostics[].fixes[].edits[].trigger_idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[] · variant 24object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"action.put"Required—
diagnostics[].fixes[].edits[].actionobjectRequired—
diagnostics[].fixes[].edits[].action.purpose"tokenization"Optional—
diagnostics[].fixes[].edits[].action.namestringRequiredpattern: ^[a-z][a-z0-9_]{0,62}$.
diagnostics[].fixes[].edits[].action.descriptionstringRequiredminLength: 1. maxLength: 1024.
diagnostics[].fixes[].edits[].action.channelsarray of "cloud" · "phone"RequiredminItems: 1.
diagnostics[].fixes[].edits[].action.method"GET" · "POST" · "PUT" · "PATCH" · "DELETE"Required—
diagnostics[].fixes[].edits[].action.urlstring (uri)Required—
diagnostics[].fixes[].edits[].action.headersobjectOptionalDefault: {}.
diagnostics[].fixes[].edits[].action.headers.*stringOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].action.authobjectRequired—
diagnostics[].fixes[].edits[].action.auth · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].action.auth.scheme"none"Required—
diagnostics[].fixes[].edits[].action.auth · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].action.auth.scheme"bearer" · "basic"Required—
diagnostics[].fixes[].edits[].action.auth.secret_refobjectRequired—
diagnostics[].fixes[].edits[].action.auth.secret_ref.idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].action.auth.secret_ref.versionstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].action.auth · variant 3object—Fields for this schema branch.
diagnostics[].fixes[].edits[].action.auth.scheme"retell_signature"Required—
diagnostics[].fixes[].edits[].action.auth.secret_refobjectRequired—
diagnostics[].fixes[].edits[].action.auth.secret_ref.idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].action.auth.secret_ref.versionstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].action.auth · variant 4object—Fields for this schema branch.
diagnostics[].fixes[].edits[].action.auth.scheme"header"Required—
diagnostics[].fixes[].edits[].action.auth.header_namestringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].action.auth.secret_refobjectRequired—
diagnostics[].fixes[].edits[].action.auth.secret_ref.idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].action.auth.secret_ref.versionstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].action.input_schemaobjectRequired—
diagnostics[].fixes[].edits[].action.input_schema.*any JSON valueOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].action.output_schemaobjectRequired—
diagnostics[].fixes[].edits[].action.output_schema.*any JSON valueOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].action.idempotencyobjectRequired—
diagnostics[].fixes[].edits[].action.idempotency · variant 1object—Fields for this schema branch.
diagnostics[].fixes[].edits[].action.idempotency.mode"effect_key"Required—
diagnostics[].fixes[].edits[].action.idempotency · variant 2object—Fields for this schema branch.
diagnostics[].fixes[].edits[].action.idempotency.mode"template"Required—
diagnostics[].fixes[].edits[].action.idempotency.headerstringOptionalDefault: "Idempotency-Key".
diagnostics[].fixes[].edits[].action.idempotency.templatestringRequiredminLength: 1. maxLength: 512.
diagnostics[].fixes[].edits[].action.idempotency · variant 3object—Fields for this schema branch.
diagnostics[].fixes[].edits[].action.idempotency.mode"none_read_only"Required—
diagnostics[].fixes[].edits[].action.timeout_msintegerRequiredAt least 500. At most 120000.
diagnostics[].fixes[].edits[].action.on_uncertain"failure_edge" · "uncertain_edge"OptionalDefault: "failure_edge".
diagnostics[].fixes[].edits[].response_variablesobjectOptionalFlow variables set from the action's 2xx JSON response, name to path ($.account.balance). Omitted keeps the current ones; {} removes them.
diagnostics[].fixes[].edits[].response_variables.*stringOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].response_variable_policy"required" · "replace_available"OptionalRequired (default) rejects missing mapped outputs. Replace_available replaces the mapped variable set with present scalar outputs and clears missing/null values, for conditional lookup responses. Objects and arrays are rejected in both modes. Omitted preserves the current policy.
diagnostics[].fixes[].edits[].speak_after_executionbooleanOptionalGenerate a spoken response after the action result. False continues routing without an extra reply; omitted preserves the current setting.
diagnostics[].fixes[].edits[] · variant 25object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"action.remove"Required—
diagnostics[].fixes[].edits[].namestringRequiredpattern: ^[a-z][a-z0-9_]{0,62}$.
diagnostics[].fixes[].edits[] · variant 26object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"notification.put"Required—
diagnostics[].fixes[].edits[].notificationobjectRequired—
diagnostics[].fixes[].edits[].notification.idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].notification.urlstring (uri)Required—
diagnostics[].fixes[].edits[].notification.secret_refobjectRequired—
diagnostics[].fixes[].edits[].notification.secret_ref.idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].notification.secret_ref.versionstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[].notification.format"semantic.v1"Required—
diagnostics[].fixes[].edits[].notification.eventsarray of "run.admitted" · "run.ended" · "recording.updated" · "analysis.updated"RequiredminItems: 1.
diagnostics[].fixes[].edits[] · variant 27object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"notification.remove"Required—
diagnostics[].fixes[].edits[].notification_idstringRequiredminLength: 1. maxLength: 128.
diagnostics[].fixes[].edits[] · variant 28object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"knowledge.set"Required—
diagnostics[].fixes[].edits[].document_idsarray of string (uuid) or nullRequiredminItems: 1. maxItems: 200.
diagnostics[].fixes[].edits[] · variant 29object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"cloud.io.set"Required—
diagnostics[].fixes[].edits[].cloudobject or nullRequired—
diagnostics[].fixes[].edits[].cloud.modesarray of "task" · "chat" · "background"Required in a non-null parentminItems: 1.
diagnostics[].fixes[].edits[].cloud.input_schemaobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].cloud.input_schema.*any JSON valueOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].cloud.output_schemaobjectRequired in a non-null parent—
diagnostics[].fixes[].edits[].cloud.output_schema.*any JSON valueOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].cloud.max_turnsintegerRequired in a non-null parentAt least 1. At most 200.
diagnostics[].fixes[].edits[].cloud.idle_timeout_msintegerRequired in a non-null parentAt least 10000. At most 86400000.
diagnostics[].fixes[].edits[].cloud.deadline_msintegerRequired in a non-null parentAt least 1000. At most 3600000.
diagnostics[].fixes[].edits[] · variant 30object—Fields for this schema branch.
diagnostics[].fixes[].edits[].type"layout.set"Required—
diagnostics[].fixes[].edits[].component_idstring or nullRequiredminLength: 1. maxLength: 256.
diagnostics[].fixes[].edits[].nodesobjectOptional—
diagnostics[].fixes[].edits[].nodes.*object or nullOptionalAdditional keys are allowed.
diagnostics[].fixes[].edits[].startobject or nullOptional—
diagnostics[].fixes[].edits[].start.xnumberRequired in a non-null parentAt least -10000000. At most 10000000.
diagnostics[].fixes[].edits[].start.ynumberRequired in a non-null parentAt least -10000000. At most 10000000.
diagnostics[].fixes[].edits[].viewportobject or nullOptional—
diagnostics[].fixes[].edits[].viewport.xnumberRequired in a non-null parentAt least -10000000. At most 10000000.
diagnostics[].fixes[].edits[].viewport.ynumberRequired in a non-null parentAt least -10000000. At most 10000000.
diagnostics[].fixes[].edits[].viewport.zoomnumberRequired in a non-null parentAt least 0.01. At most 100.
planobjectOptional—
plan · combined section 1object—Fields for this schema branch.
plan.plan_schema_version2Required—
plan.compilerobjectRequired—
plan.compiler.name"talos-compiler"Required—
plan.compiler.versionstringRequiredminLength: 1.
plan.agentobjectRequired—
plan.agent.agent_idstringRequiredAgent identifier in the environment selected by your API key. minLength: 1. maxLength: 256. pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$.
plan.agent.versionintegerRequiredAt least 0. At most 2147483647.
plan.agent.namestringRequiredminLength: 1. maxLength: 256.
plan.sourceobjectRequired—
plan.source.kind"studio" · "retell_import" · "api"Required—
plan.source.sha256stringRequiredpattern: ^[a-f0-9]{64}$.
plan.channelsobjectRequired—
plan.channels.cloudobject or nullRequired—
plan.channels.cloud.modesarray of "task" · "chat" · "background"Required in a non-null parentminItems: 1.
plan.channels.cloud.input_schemaobjectRequired in a non-null parent—
plan.channels.cloud.input_schema.*any JSON valueOptionalAdditional keys are allowed.
plan.channels.cloud.output_schemaobjectRequired in a non-null parent—
plan.channels.cloud.output_schema.*any JSON valueOptionalAdditional keys are allowed.
plan.channels.cloud.max_turnsintegerRequired in a non-null parentAt least 1. At most 200.
plan.channels.cloud.idle_timeout_msintegerRequired in a non-null parentAt least 10000. At most 86400000.
plan.channels.cloud.deadline_msintegerRequired in a non-null parentAt least 1000. At most 3600000.
plan.channels.phoneobject or nullRequired—
plan.channels.phone.telephonyobject or nullRequired in a non-null parent—
plan.channels.phone.telephony.trunk_idstringRequired in a non-null parentminLength: 1. maxLength: 128.
plan.channels.phone.telephony.fromstring or nullRequired in a non-null parentpattern: ^+[1-9][0-9]{6,14}$.
plan.channels.phone.inbound_contextobjectOptional—
plan.channels.phone.inbound_context.action_idstringRequired in a non-null parentpattern: ^[a-z][a-z0-9_]{0,62}$.
plan.channels.phone.inbound_context.variablesarray of stringRequired in a non-null parentminItems: 1. maxItems: 256.
plan.channels.phone.settingsobjectRequired in a non-null parent—
plan.channels.phone.settings.*any JSON valueOptionalAdditional keys are allowed.
plan.channels.phone.recordingobjectRequired in a non-null parent—
plan.channels.phone.recording.requiredbooleanRequired in a non-null parent—
plan.channels.phone.recording.channels"dual"Required in a non-null parent—
plan.languagesarray of "en" · "es"RequiredminItems: 1.
plan.flowobjectRequired—
plan.flow.schemaVersion2Required—
plan.flow.compilerVersionstringRequiredminLength: 1.
plan.flow.sourceHashstringRequiredpattern: ^[a-f0-9]{64}$.
plan.flow.idstringRequiredminLength: 1.
plan.flow.versionintegerRequiredAt least 0. At most 9007199254740991.
plan.flow.startNodeIdstringRequiredminLength: 1.
plan.flow.startSpeaker"agent" · "user"Required—
plan.flow.globalPromptstringRequired—
plan.flow.nodesarray of objectRequired—
plan.flow.nodes[].idstringRequiredminLength: 1.
plan.flow.nodes[].kind"conversation" · "end" · "branch" · "transfer_call" · "function" · "extract_dynamic_variables" · "verify_identity" · "tokenize_private" · "component"Required—
plan.flow.nodes[].namestringOptional—
plan.flow.nodes[].instructionobjectOptional—
plan.flow.nodes[].instruction.type"prompt" · "static_text"Required—
plan.flow.nodes[].instruction.textstringRequired—
plan.flow.nodes[].edgesarray of objectRequired—
plan.flow.nodes[].edges[].idstringOptionalminLength: 1.
plan.flow.nodes[].edges[].destinationNodeIdstringOptionalminLength: 1.
plan.flow.nodes[].edges[].slot"edges" · "else_edge" · "skip_response_edge" · "always_edge" · "edge" · "success_edge"Required—
plan.flow.nodes[].edges[].conditionobjectRequired—
plan.flow.nodes[].edges[].condition · variant 1object—Fields for this schema branch.
plan.flow.nodes[].edges[].condition.type"always"Required—
plan.flow.nodes[].edges[].condition · variant 2object—Fields for this schema branch.
plan.flow.nodes[].edges[].condition.type"conversation_language"Required—
plan.flow.nodes[].edges[].condition.language"en" · "es"Required—
plan.flow.nodes[].edges[].condition · variant 3object—Fields for this schema branch.
plan.flow.nodes[].edges[].condition.type"prompt"Required—
plan.flow.nodes[].edges[].condition.promptstringRequired—
plan.flow.nodes[].edges[].condition · variant 4object—Fields for this schema branch.
plan.flow.nodes[].edges[].condition.type"equation"Required—
plan.flow.nodes[].edges[].condition.operator"&&" · "||"Required—
plan.flow.nodes[].edges[].condition.equationsarray of objectRequiredminItems: 1.
plan.flow.nodes[].edges[].condition.equations[].leftstringRequired—
plan.flow.nodes[].edges[].condition.equations[].operator"==" · "!=" · ">" · "<" · ">=" · "<=" · "contains" · "is_set" · "is_not_set"Required—
plan.flow.nodes[].edges[].condition.equations[].rightstringRequired—
plan.flow.nodes[].edges[].labelstringOptional—
plan.flow.nodes[].edges[].complianceobjectOptional—
plan.flow.nodes[].edges[].compliance.setsarray of "rpc_confirmed"RequiredminItems: 1.
plan.flow.nodes[].startSpeaker"agent" · "user"Optional—
plan.flow.nodes[].interruptionSensitivitynumberOptional—
plan.flow.nodes[].voiceSpeednumberOptional—
plan.flow.nodes[].languageLockedbooleanOptional—
plan.flow.nodes[].globalNodeSettingobjectOptional—
plan.flow.nodes[].globalNodeSetting.conditionstringRequired—
plan.flow.nodes[].globalNodeSetting.coolDownnumberOptional—
plan.flow.nodes[].speakDuringExecutionbooleanOptional—
plan.flow.nodes[].executionMessageobjectOptional—
plan.flow.nodes[].executionMessage.type"prompt" · "static_text"Required—
plan.flow.nodes[].executionMessage.textstringRequired—
plan.flow.nodes[].toolIdstringOptionalminLength: 1.
plan.flow.nodes[].waitForResultbooleanOptional—
plan.flow.nodes[].transferobjectOptional—
plan.flow.nodes[].transfer.destinationobjectRequired—
plan.flow.nodes[].transfer.destination · variant 1object—Fields for this schema branch.
plan.flow.nodes[].transfer.destination.type"predefined"Required—
plan.flow.nodes[].transfer.destination.numberstringRequired—
plan.flow.nodes[].transfer.destination · variant 2object—Fields for this schema branch.
plan.flow.nodes[].transfer.destination.type"inferred"Required—
plan.flow.nodes[].transfer.destination.promptstringRequired—
plan.flow.nodes[].transfer.optionobjectRequired—
plan.flow.nodes[].transfer.option.type"cold_transfer" · "warm_transfer"Required—
plan.flow.nodes[].transfer.option.showTransfereeAsCallerbooleanOptional—
plan.flow.nodes[].transfer.option.optOutHumanDetectionbooleanOptional—
plan.flow.nodes[].transfer.option.enableBridgeAudioCuebooleanOptional—
plan.flow.nodes[].transfer.option.onHoldMusicstringOptional—
plan.flow.nodes[].transfer.option.agentDetectionTimeoutMsintegerOptionalAt least -9007199254740991. At most 9007199254740991.
plan.flow.nodes[].transfer.option.agentDetectionPromptstringOptional—
plan.flow.nodes[].transfer.option.transferMessageobjectOptional—
plan.flow.nodes[].transfer.option.transferMessage.type"prompt" · "static_text"Required—
plan.flow.nodes[].transfer.option.transferMessage.textstringRequired—
plan.flow.nodes[].transfer.option.privateHandoffMessageobjectOptional—
plan.flow.nodes[].transfer.option.privateHandoffMessage.type"prompt" · "static_text"Required—
plan.flow.nodes[].transfer.option.privateHandoffMessage.textstringRequired—
plan.flow.nodes[].transfer.option.coldTransferModestringOptional—
plan.flow.nodes[].transfer.customSipHeadersobjectRequired—
plan.flow.nodes[].transfer.customSipHeaders.*stringOptionalAdditional keys are allowed.
plan.flow.nodes[].transfer.headerCredentialobjectOptional—
plan.flow.nodes[].transfer.headerCredential.idstring (uuid)Requiredpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$.
plan.flow.nodes[].transfer.headerCredential.versionstringRequiredpattern: ^[a-f0-9]{64}$.
plan.flow.nodes[].transfer.ignoreE164ValidationbooleanRequired—
plan.flow.nodes[].variablesarray of objectOptional—
plan.flow.nodes[].variables[].namestringRequiredminLength: 1.
plan.flow.nodes[].variables[].type"string" · "number" · "boolean" · "enum"Required—
plan.flow.nodes[].variables[].descriptionstringRequired—
plan.flow.nodes[].variables[].choicesarray of stringOptional—
plan.flow.nodes[].modelChoiceobjectOptional—
plan.flow.nodes[].modelChoice.modelobjectRequired—
plan.flow.nodes[].modelChoice.model.model_idstringRequiredminLength: 1. pattern: \S.
plan.flow.nodes[].modelChoice.model.providerstringRequiredminLength: 1. pattern: \S.
plan.flow.nodes[].modelChoice.model.tier"frontier" · "cumulus-served" · "customer-gpu"Required—
plan.flow.nodes[].modelChoice.credentialobjectOptional—
plan.flow.nodes[].modelChoice.credential.idstringRequiredminLength: 1. maxLength: 256.
plan.flow.nodes[].modelChoice.credential.versionstringRequiredminLength: 1. maxLength: 256.
plan.flow.nodes[].modelChoice.credential.providerstringRequiredminLength: 1. maxLength: 256.
plan.flow.nodes[].modelChoice.type"cascading"Required—
plan.flow.nodes[].modelChoice.highPrioritybooleanRequired—
plan.flow.nodes[].modelChoice.reasoningEffort"low" · "medium" · "high"Optional—
plan.flow.nodes[].verificationobjectOptional—
plan.flow.nodes[].verification.subjectVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
plan.flow.nodes[].verification.fieldsarray of objectRequiredmaxItems: 8.
plan.flow.nodes[].verification.fields[].idstringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,63}$.
plan.flow.nodes[].verification.fields[].expectedVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
plan.flow.nodes[].verification.fields[].privateAliasesarray of stringOptionalmaxItems: 16.
plan.flow.nodes[].verification.fields[].enabledVariablestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
plan.flow.nodes[].verification.fields[].formatobjectRequired—
plan.flow.nodes[].verification.fields[].format · variant 1object—Fields for this schema branch.
plan.flow.nodes[].verification.fields[].format.kind"digits"Required—
plan.flow.nodes[].verification.fields[].format.lengthintegerRequiredAt least 1. At most 32.
plan.flow.nodes[].verification.fields[].format · variant 2object—Fields for this schema branch.
plan.flow.nodes[].verification.fields[].format.kind"date_yyyymmdd"Required—
plan.flow.nodes[].verification.fields[].promptobjectRequired—
plan.flow.nodes[].verification.fields[].prompt.enstringRequired—
plan.flow.nodes[].verification.fields[].prompt.esstringOptional—
plan.flow.nodes[].verification.requiredobjectRequired—
plan.flow.nodes[].verification.required · variant 1object—Fields for this schema branch.
plan.flow.nodes[].verification.required.kind"fixed"Required—
plan.flow.nodes[].verification.required.countintegerRequiredAt least 1. At most 8.
plan.flow.nodes[].verification.required · variant 2object—Fields for this schema branch.
plan.flow.nodes[].verification.required.kind"variable"Required—
plan.flow.nodes[].verification.required.namestringRequiredpattern: ^[A-Za-z_][A-Za-z0-9_]{0,255}$.
[...]
